Skip to main content
`Ctrl`+`K`

# PetscDeviceSetDefaultDeviceType

Set the default device type for `PetscDevice`

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscDeviceSetDefaultDeviceType(PetscDeviceType type)

Not Collective

## Input Parameter

- type - the new default device type

## Notes

This sets the `PetscDeviceType` returned by `PETSC_DEVICE_DEFAULT()`.

## See Also

`PetscDeviceType`, `PetscDeviceGetType`,

## Level

beginner

## Location

src/sys/objects/device/interface/device.cxx

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages